/*
    Standard Values v1.1 | 14.11.2022
    "standard-values.css"
    by Valentin Müller
*/

@import url("https://use.typekit.net/ufi8spz.css");

/* CSS Properties [use in Stylesheet] */

:root {
    /* Colors:*/
    --c-primary-color: #FFFFFF;
    --c-secondary-color: #111111;
    --c-accent-color: #0073d1;
    --c-light-accent: #E2EAFF;

    --l-error-color: red;
    --l-warning-color: yellow;
    --l-success-color: green;

    

    --d-primary-color: hsl(145, 52%, 5%);
    --d-secondary-color: hsl(31, 53%, 85%);     /* #eddac5 */
    --d-accent-color: hsl(145, 50%, 35%);

    /* Fonts */
    --ft-heading-1: 6rem;
    --ft-heading-2: 4rem;
    --ft-heading-3: 1.4rem;
    --ft-standard-text: 1.2rem;

    --standard-font: 'neue-haas-grotesk-display', sans-serif;

    font-family: var(--standard-font);
}

/* @media (prefers-color-scheme: dark) {
    :root {
        --l-primary-color: hsl(32, 52%, 95%);
        --l-secondary-color: hsl(145, 50%, 5%);
        --l-accent-color: hsl(145, 50%, 65%);
    }
} */

* {
    font-family: var(--standard-font);
    font-size: var(--ft-standard-text);
}

html {
    scroll-behavior: smooth;
}

body {
    font-family: var(--standard-font);
    font-size: var(--ft-standard-text);
    background-color: var(--c-primary-color);
    color: var(--c-secondary-color);	
}

::-moz-selection {
    color: var(--c-primary-color);
    background: var(--c-accent-color);
}

::selection {
    color: var(--c-primary-color);
    background: var(--c-accent-color);
}

.bg-blue ::selection {
    color: var(--c-accent-color);
    background: var(--c-primary-color);
}

/* Font Weights [use as classes in HTML] */

.ft-light{
    font-weight: 300;
}

.ft-medium{
    font-weight: 500;
}

.ft-bold{
    font-weight: 700;
}

.ft-heading-1 {
    font-size: var(--ft-heading-1);
    color: var(--l-accent-color);
    font-weight: 700;
    line-height: 1.1;
}

.ft-heading-2 {
    font-size: var(--ft-heading-2);
    font-weight: 700;
    line-height: 1.1;
}

.ft-heading-3 {
    font-size: var(--ft-heading-3);
    font-weight: 700;
}

.ft-standard-text {
    font-size: var(--ft-standard-text);
}

.ft-italic {
    font-style: italic;
}

.ft-w-100 {
    font-weight: 100;
}

.ft-w-200 {
    font-weight: 200;
}

.ft-w-300 {
    font-weight: 300;
}

.ft-w-400 {
    font-weight: 400;
}

.ft-w-500 {
    font-weight: 500;
}

.ft-w-600 {
    font-weight: 600;
}

.ft-w-700 {
    font-weight: 700;
}

.ft-w-800 {
    font-weight: 800;
}

.ft-w-900 {
    font-weight: 900;
}

.ft-center {
    text-align: center;
}

.ft-accent {
    color: var(--c-accent-color);
}

.ft-black {
    color: var(--c-secondary-color);
}

.screen-reader-only {
    clip: rect(0 0 0 0); 
    clip-path: inset(50%);
    height: 1px;
    overflow: hidden;
    position: absolute;
    white-space: nowrap; 
    width: 1px;
}

.ft-landing {
    /* font-size: 5rem; */
    font-size: 7vw;
    -webkit-text-fill-color: rgba(255, 255, 255, 0.1);
    /* -webkit-text-fill-color: transparent; */
    -webkit-text-stroke: 2px;
    white-space: nowrap;
}

/* GOOGLE ICONS */

.material-symbols-outlined {
    font-variation-settings:
    'FILL' 0,
    'wght' 400,
    'GRAD' 0,
    'opsz' 48;
    user-select: none;
}

.material-symbols-outlined-bold {
    font-variation-settings:
    'FILL' 0,
    'wght' 700,
    'GRAD' 0,
    'opsz' 48;
}

@media screen and (max-width: 1400px) {
    :root {
        --ft-heading-1: 5rem;
    }
}


@media screen and (max-width: 768px) {
    :root {
        --ft-heading-1: 3rem;
        --ft-heading-2: 2.8rem;
        --ft-heading-3: 1.4rem;
        --ft-standard-text: 1.1rem;
    }
}
@media screen and (max-width: 300px) {
    :root {
        --ft-heading-1: 2rem;
        --ft-heading-2: 1.5rem;
        --ft-heading-3: 1.2rem;
        --ft-standard-text: 1rem;
    }
}